package de.ozgcloud.admin.common.errorhandling;

import de.ozgcloud.admin.common.errorhandling.IssueParam.IssueParamBuilder;

public class IssueParamTestFactory {
	public static final String PARAM_NAME = ConstraintViolationTestFactory.PARAM_NAME;
	public static final String PARAM_DYNAMIC_VALUE = ConstraintViolationTestFactory.PARAM_DYNAMIC_VALUE;

	public static IssueParam create() {
		return createBuilder()
				.build();
	}

	public static IssueParamBuilder createBuilder() {
		return IssueParam.builder().name(PARAM_NAME).value(PARAM_DYNAMIC_VALUE);
	}
}
