package de.ozgcloud.admin.keycloak;

import java.util.List;

public class GroupTestFactory {

	public static final String ID = GroupRepresentationTestFactory.ID;
	public static final String NAME = GroupRepresentationTestFactory.NAME;
	public static final String ORGANISATIONS_EINHEIT_ID = GroupRepresentationTestFactory.ORGANISATIONS_EINHEIT_ID;

	public static final String SUB_GROUP_ID = GroupRepresentationTestFactory.SUB_GROUP_ID;
	public static final String SUB_GROUP_NAME = GroupRepresentationTestFactory.SUB_GROUP_NAME;
	public static final String SUB_GROUP_ORGANISATIONS_EINHEIT_ID = GroupRepresentationTestFactory.SUB_GROUP_ORGANISATIONS_EINHEIT_ID;

	public static Group create() {
		return createBuilder().build();
	}

	public static Group.GroupBuilder createBuilder() {
		return new Group.GroupBuilder()
				.id(ID)
				.name(NAME)
				.organisationsEinheitId(ORGANISATIONS_EINHEIT_ID)
				.subGroups(List.of(Group.builder().id(SUB_GROUP_ID).name(SUB_GROUP_NAME).organisationsEinheitId(SUB_GROUP_ORGANISATIONS_EINHEIT_ID)
						.build()));
	}
}
