package de.ozgcloud.admin.organisationseinheit;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcOrganisationsEinheit;
import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId;

public class GrpcOrganisationsEinheitTestFactory {

	public static final String ID = OrganisationsEinheitTestFactory.ZUFI_ID;
	public static final String NAME = OrganisationsEinheitTestFactory.NAME;
	public static final GrpcXzufiId XZUFI_ID = GrpcXzufiIdTestFactory.create();

	public static GrpcOrganisationsEinheit create() {
		return createBuilder().build();
	}

	public static GrpcOrganisationsEinheit.Builder createBuilder() {
		return GrpcOrganisationsEinheit.newBuilder()
				.setId(ID)
				.setName(NAME)
				.setXzufiId(XZUFI_ID);
	}

}
