package de.ozgcloud.admin.organisationseinheit;

import java.util.UUID;

import de.ozgcloud.zufi.grpc.organisationseinheit.GrpcXzufiId;

public class GrpcXzufiIdTestFactory {

	public static final String ORGANISATIONS_EINHEIT_ID = OrganisationsEinheitTestFactory.ORGANISATIONS_EINHEIT_ID;
	public static final String SCHEME_AGENCY_ID = UUID.randomUUID().toString();

	public static GrpcXzufiId create() {
		return createBuilder().build();
	}

	public static GrpcXzufiId.Builder createBuilder() {
		return GrpcXzufiId.newBuilder()
				.setId(ORGANISATIONS_EINHEIT_ID)
				.setSchemeAgencyId(SCHEME_AGENCY_ID);
	}
}
