package de.ozgcloud.admin.organisationseinheit;

import com.thedeanda.lorem.LoremIpsum;

public class OrganisationsEinheitSettingsTestFactory {

	public static final String SIGNATUR = LoremIpsum.getInstance().getWords(4);

	public static OrganisationsEinheitSettings create() {
		return createBuilder().build();
	}

	public static OrganisationsEinheitSettings.OrganisationsEinheitSettingsBuilder createBuilder() {
		return OrganisationsEinheitSettings.builder()
				.signatur(SIGNATUR);
	}

	public static OrganisationsEinheitSettings.OrganisationsEinheitSettingsBuilder createNewBuilder() {
		return OrganisationsEinheitSettings.builder()
				.signatur(LoremIpsum.getInstance().getWords(3));
	}

}
