package de.ozgcloud.admin.common;

import org.springframework.hateoas.EntityModel;

import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheit;
import lombok.NoArgsConstructor;

public class EntityModelTestFactory {

	public static final NullableEntityModel NULLABLE = createNullable();

	private static NullableEntityModel createNullable() {
		return new NullableEntityModel();
	}

	@NoArgsConstructor
	private static class NullableEntityModel extends EntityModel<OrganisationsEinheit> {

	}
}
