package de.ozgcloud.admin.setting;

import java.util.Map;

import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitSettings;
import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitSettingsTestFactory;
import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitTestFactory;
import de.ozgcloud.admin.setting.postfach.PostfachSettingBodyTestFactory;

public class AlfaSettingDTOTestFactory {

	public static AlfaSettingDTO create() {
		return createBuilder().build();
	}

	public static Map<String, OrganisationsEinheitSettings> organisationsEinheitSettings = Map.of(
			OrganisationsEinheitTestFactory.ORGANISATIONS_EINHEIT_ID,
			OrganisationsEinheitSettingsTestFactory.create());

	public static AlfaSettingDTO.AlfaSettingDTOBuilder createBuilder() {
		return AlfaSettingDTO.builder()
				.signatur(PostfachSettingBodyTestFactory.SIGNATUR)
				.organisationsEinheitSettings(organisationsEinheitSettings);
	}
}
