package de.ozgcloud.admin.setting;

import java.util.UUID;

import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitSettingsTestFactory;
import de.ozgcloud.admin.organisationseinheit.OrganisationsEinheitTestFactory;

public class OrganisationsEinheitWithSettingsTestFactory {

	public static OrganisationsEinheitWithSettings create() {
		return new OrganisationsEinheitWithSettings(
				OrganisationsEinheitTestFactory.ORGANISATIONS_EINHEIT_ID,
				OrganisationsEinheitSettingsTestFactory.create()
		);
	}

	public static OrganisationsEinheitWithSettings createAnother() {
		return new OrganisationsEinheitWithSettings(
				UUID.randomUUID().toString(),
				OrganisationsEinheitSettingsTestFactory.create()
		);
	}
}
